package by.zerg.pokerhandsbuilder.domain;

public class GameOptions {
	public static final int SHORTHANDED = 6;
	public static final int FULLRING = 9;

	public static final int[] SH_POSITIONS = new int[] { Player.UTG, Player.MP,
			Player.CO, Player.BU, Player.SB, Player.BB };
	public static final int[] FR_POSITIONS = new int[] { Player.UTG,
			Player.UTG1, Player.MP1, Player.MP2, Player.MP3, Player.CO,
			Player.BU, Player.SB, Player.BB };

	private int gameType;
	private String limit;
	private float smallBlind;
	private float bigBlind;
	private Player[] players;
	private Player hero;

	public GameOptions() {

	}

	public int getGameType() {
		return gameType;
	}

	public void setGameType(int gameType) {
		this.gameType = gameType;
	}

	public String getLimit() {
		return limit;
	}

	public void setLimit(String limit) {
		this.limit = limit;
	}

	public float getSmallBlind() {
		return smallBlind;
	}

	public void setSmallBlind(float smallBlind) {
		this.smallBlind = smallBlind;
	}

	public float getBigBlind() {
		return bigBlind;
	}

	public void setBigBlind(float bigBlind) {
		this.bigBlind = bigBlind;
	}

	public Player[] getPlayers() {
		return players;
	}

	public void setPlayers(Player[] players) {
		this.players = players;
	}

	public Player getHero() {
		return hero;
	}

	public void setHero(Player hero) {
		this.hero = hero;
	}
}
